BLKDISCARD(8)

NAMN
blkdiscard - förkasta sektorer på en enhet

SYNOPSIS

blkdiscard [flaggor] [-o offset] [-l längd] enhet

BESKRIVNING

blkdiscard används för att förkasta enhetssektorer. Detta är användbart för SSD-enheter (Solid State Drives) och lagringsutrymme med tunn provisionering. Till skillnad från fstrim(8) används det här kommandot direkt på blockenheten.

Som standard kommer blkdiscard att förkasta alla block på enheten. Flaggor kan användas för att ändra detta beteende baserat på intervall eller storlek, enligt vad som förklaras nedan.

Argumentet enhet är blockenhetens sökvägsnamn.

VARNING: All data i den förkastade regionen på enheten kommer att gå förlorad!

Sedan util-linux v2.41 har fdisk möjlighet att förkasta sektorer på både partitioner och icke-partitionerade områden med kommandot "T". Dessutom har sfdisk flaggan --discard-free för att förkasta icke-partitionerade områden.

FLAGGOR

Argumenten offset och längd kan följas av de multiplikativa suffixen KiB (=1024), MiB (=1024*1024), och så vidare för GiB, TiB, PiB, EiB, ZiB och YiB (iB är valfritt, t.ex. har "K" samma betydelse som "KiB") eller suffixen KB (=1000), MB (=1000*1000), och så vidare för GB, TB, PB, EB, ZB och YB.

-f, --force
    Inaktivera alla kontroller. Sedan v2.36 är blockenheten öppen i exklusivt läge (O_EXCL) som standard för att undvika kollision med monterade filsystem eller andra kärnsubsystem. Flaggan --force inaktiverar det exklusiva åtkomstläget.

-o, --offset offset
    Byteoffset i enheten från vilken kassering ska påbörjas. Det angivna värdet måste vara anpassat till enhetens sektorstorlek. Standardvärdet är noll.

-l, --length längd
    Antalet bytes som ska kasseras (räknat från startpunkten). Det angivna värdet måste vara anpassat till enhetens sektorstorlek. Om det angivna värdet sträcker sig längre än till slutet av enheten, kommer blkdiscard att stanna vid enhetens storleksgräns. Standardvärdet sträcker sig till slutet av enheten.

-p, --step längd
    Antalet byte som ska kasseras inom en iteration. Standardinställningen är att förkasta alla genom ett ioctl-anrop.

-q, --quiet
    Undertrycka varningsmeddelanden.

-s, --secure
    Utför en säker diskning. En säker kassering är samma sak som en vanlig kassering, förutom att alla kopior av de kasserade blocken som eventuellt skapats av skräpsamlingen också måste raderas. Detta kräver stöd från enheten.

-z, --zeroout
    Zero-fill snarare än förkasta.

-v, --verbose
    Visar de justerade värdena för offset och längd. Om flaggan --step anges skrivs discard-förloppet ut varje sekund.

-h, --help
    Visa hjälptext och avsluta.

-V, --version
    Visa version och avsluta.

AVSLUTSSTATUS

blkdiscard har följande värden för utgångsstatus:

0
    lyckades

1
    fel; felaktigt anrop, felaktiga behörigheter eller något annat generiskt fel

2
    fel; sedan v2.39 har enheten inte stöd för kassering

UPPHOVSPERSONER

SE ÄVEN

fstrim(8)

FELRAPPORTERING

För felrapporter, använd

TILLGÄNGLIGHET

Kommandot blkdiscard ingår i paketet util-linux som kan hämtas från